Package ch.qos.logback.core.spi

## Enum FilterReply

- java.lang.Object
- - java.lang.Enum<FilterReply>
  - - ch.qos.logback.core.spi.FilterReply

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FilterReply>`

    public enum FilterReply
    extends java.lang.Enum<FilterReply>

This enum represents the possible replies that a filtering component in logback can return. It is used by implementations of both `Filter` and `TurboFilter` abstract classes. Based on the order that the FilterReply values are declared, FilterReply.ACCEPT.compareTo(FilterReply.DENY) will return a positive value.

Author:
  Sébastien Pennec

### Enum Constant Summary

Enum Constants
`ACCEPT`
`DENY`
`NEUTRAL`

### Method Summary

All Methods Static Methods Concrete Methods
`static FilterReply` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FilterReply[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DENY

    public static final FilterReply DENY

#### NEUTRAL

    public static final FilterReply NEUTRAL

#### ACCEPT

    public static final FilterReply ACCEPT

### Method Detail

#### values

    public static FilterReply[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FilterReply c : FilterReply.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FilterReply valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null